=== debian/control ===
Source: xfonts-bolkhov
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: fonts
Priority: optional
Standards-Version: 3.6.2
Build-Depends: debhelper (>=9~), trscripts (>= 1.18+nmu2), xfonts-utils

Package: xfonts-bolkhov-75dpi
Architecture: all
Description: 75 dpi Unicode Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are Unicode (ISO10646-1) fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts from this package are not designed for big monitors and/or
 large screen resolutions (over 1024x768).  You can find big fonts in
 the package xfonts-cronyx-100dpi.
 .
 The fonts are modified (mainly with Cyrillics added) versions of the
 most important X-Window fonts from 75dpi/.
 .
 Upstream author: Dmitry Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-nop
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-nop

Package: xfonts-bolkhov-cp1251-75dpi
Architecture: all
Description: 75 dpi CP1251 encoded Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are CP1251 (microsoft-cp1251) fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts from this package are not designed for big monitors and/or
 large screen resolutions (over 1024x768).  You can find big fonts in
 the package xfonts-cronyx-cp1251-100dpi.
 .
 The fonts are modified (mainly with Cyrillics added) versions of the
 most important X-Window fonts from 75dpi/.
 .
 Upstream author: Dmitry Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-cp1251
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-cp1251

Package: xfonts-bolkhov-isocyr-75dpi
Architecture: all
Description: 75 dpi ISO 8859-5 encoded Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are ISO 8859-5 fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts from this package are not designed for big monitors and/or
 large screen resolutions (over 1024x768).  You can find big fonts in
 the package xfonts-cronyx-isocyr-100dpi.
 .
 The fonts are modified (mainly with Cyrillics added) versions of the
 most important X-Window fonts from 75dpi/.
 .
 Upstream author: Dmitry Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-iso
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-iso

Package: xfonts-bolkhov-koi8r-75dpi
Architecture: all
Description: 75 dpi KOI8-R encoded Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are KOI8-R fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts from this package are not designed for big monitors and/or
 large screen resolutions (over 1024x768).  You can find big fonts in
 the package xfonts-cronyx-koi8r-100dpi.
 .
 The fonts are modified (mainly with Cyrillics added) versions of the
 most important X-Window fonts from 75dpi/.
 .
 Upstream author: Dmitry Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-koi8r
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-koi8r

Package: xfonts-bolkhov-koi8u-75dpi
Architecture: all
Description: 75 dpi KOI8-U encoded Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a set of bitmapped Cyrillic fonts at 75 dots
 per inch.  These are KOI8-U fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts from this package are not designed for big monitors and/or
 large screen resolutions (over 1024x768).  You can find big fonts in
 the package xfonts-cronyx-koi8u-100dpi.
 .
 The fonts are modified (mainly with Cyrillics added) versions of the
 most important X-Window fonts from 75dpi/.
 .
 Upstream author: Dmitry Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-koi8u
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-koi8u

Package: xfonts-bolkhov-misc
Architecture: all
Description: Character-cell Unicode Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a standard set of character-cell low-resolution
 Cyrillic fonts.  These are Unicode (ISO10646-1) fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts are modified (mainly with Cyrillic added) versions of the
 standard X-Window fonts from misc/.  Upstream author: Dmitry
 Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-nop
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-nop

Package: xfonts-bolkhov-cp1251-misc
Architecture: all
Description: Character-cell CP1251 encoded Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a standard set of character-cell low-resolution
 Cyrillic fonts.  These are CP1251 (microsoft-cp1251) fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts are modified (mainly with Cyrillic added) versions of the
 standard X-Window fonts from misc/.  Upstream author: Dmitry
 Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-cp1251
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-cp1251

Package: xfonts-bolkhov-isocyr-misc
Architecture: all
Description: Character-cell ISO-8859-5 encoded Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a standard set of character-cell low-resolution
 Cyrillic fonts.  These are ISO-8859-5 fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts are modified (mainly with Cyrillic added) versions of the
 standard X-Window fonts from misc/.  Upstream author: Dmitry
 Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-iso
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-iso

Package: xfonts-bolkhov-koi8r-misc
Architecture: all
Description: Character-cell KOI8-R encoded Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a standard set of character-cell low-resolution
 Cyrillic fonts.  These are KOI8-R fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts are modified (mainly with Cyrillic added) versions of the
 standard X-Window fonts from misc/.  Upstream author: Dmitry
 Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-koi8r
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-koi8r

Package: xfonts-bolkhov-koi8u-misc
Architecture: all
Description: Character-cell KOI8-U encoded Cyrillic fonts for X (Cyr-RFX collection)
 This package provides a standard set of character-cell low-resolution
 Cyrillic fonts.  These are KOI8-U fonts.
 In most cases it is desirable to have the X font server (xfs) and/or
 an X server installed to make the fonts available to X clients.
 .
 The fonts are modified (mainly with Cyrillic added) versions of the
 standard X-Window fonts from misc/.  Upstream author: Dmitry
 Bolkhovityanov <bolkhov@inp.ins.su>
Replaces: xfonts-bolkhov-koi8u
Depends: ${misc:Depends}
Suggests: xfs | xserver
Conflicts: xfonts-bolkhov-koi8u
